Bug 106172 - kghostview hangs while viewing ps files
kghostview hangs while viewing ps files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdegraphics (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 09:55 EDT by Chad Cunningham
Modified: 2014-01-21 17:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-29 10:53:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chad Cunningham 2003-10-03 09:55:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030730

Description of problem:
We have found that after updating the kde libraries that redhat has put out for RH9:

kdebase-3.1-15.i386.rpm
kdebase-devel-3.1-15.i386.rpm
kdegraphics-3.1-5.i386.rpm
kdegraphics-devel-3.1-5.i386.rpm
kdelibs-3.1-12.i386.rpm
kdelibs-devel-3.1-12.i386.rpm

that kghostview in the kdegraphics package no longer works with PS files. When
viewing a ps file, kghostview displays the first page and then sits there
showing the hourglass. Selecting another page in the page listing or clicking
the next page button does not change the display. Oddly enough, if you select
another page, and then zoom in or out, kghostview will then display that page.

This problem started after updating from kdegraphics-3.1-4 to kdegraphics-3.1-5.
We have verified on several machines that kghostview works fine with 3.1-4 but
breaks with 3.1-5. It works fine with PDF's, this problem just occurs with
postscript files.

Version-Release number of selected component (if applicable):
kdegraphics-3.1-5

How reproducible:
Always

Steps to Reproduce:
1. launch kghostview
2. open a postscript file
3. attempt to view another page
    

Actual Results:  
kghostview displays a spinning hourglass and does not change pages.

Expected Results:  
display new page.

Additional info:
Comment 1 Seth Vidal 2003-10-09 14:09:54 EDT
In bug 92344 the claim is that this is fixed. I can replicate this error on 9.
I'll check on fedora core test2 shortly and post back.
Comment 2 Seth Vidal 2003-10-09 16:45:27 EDT
This is no longer broken in fedora core test2 which is kdegraphics 3.1.3


trying to trackdown a changelog for kghostview
Comment 3 Ngo Than 2003-10-13 09:41:32 EDT
Fedora test3 has kde 3.1.4. Could you check it please if it's fixed here? thanks
Comment 4 Seth Vidal 2003-10-21 12:51:18 EDT
yes. It works in 3.1.4
Comment 5 Ngo Than 2003-10-29 10:53:45 EST
it's fixed in current rawhide

Note You need to log in before you can comment on or make changes to this bug.